#include <oxstd.h>
#include "bprobit.h"

#include "bprobit.ox"

main()
{
    decl probitobj;
                        
    probitobj = new Probit();          // create an object
                             
    probitobj.LoadIn7("data/finney.in7");     // load data
    probitobj.Info();            // print database summary
    probitobj.Deterministic(FALSE);     // create constant

                                    // Formulate the model
    probitobj.Select(Y_VAR, { "vaso",0,0 } );
    probitobj.Select(X_VAR, { "Constant",0,0,
        "Lrate",0,0, "Lvolume",0,0 } );
    probitobj.SetSelSample(-1, 1, -1, 1);   // full sample

    probitobj.Estimate(<-0.465; 0.842; 1.439>);// maximize

    delete probitobj;
}
