#include <oxstd.h>
#include <oxfloat.h>  // defines M_PI

static decl s_mY;     // the data sample (T x 1)
// use static to avoid any other file from seeing s_mY

SetYdata(const mY)
{
	s_mY = mY;
}
FMyLoglik(const vP, const adFunc, const avScore,
    const amHess)
{
    decl dsum, dsig2;

    dsum = sumsqrc(s_mY - vP[0]) / rows(s_mY);
    dsig2 = vP[1];
    
    adFunc[0] = -0.5 * (log(M_2PI * dsig2) + dsum / dsig2);

return 1;             // 1 indicates success
}
