#include <oxstd.h>
#import <pcfiml>

main()
{
    decl model;

    model = new PcFiml();

    model.LoadIn7("data/data.in7");
         // create deterministic variables in the database
    model.Deterministic(FALSE);
                                    // formulate the model
    model.Select(Y_VAR, { "CONS", 0, 1 } );  // lag 0 to 1
    model.Select(X_VAR, { "INC", 0, 1 } );	 // lag 0 to 1
    model.Select(X_VAR, { "Constant", 0, 0 } );// no lags!

    model.SetSelSample(-1, 1, -1, 1);    // maximum sample
    model.Estimate();                // estimate the model

    delete model;
}
