/*
** olsc(const my, const mx, const amb);
**      my      in:  T x n matrix Y
**      mx      in:  T x k matrix X
**      amb     in:  address of variable
**              out: k x n matrix with OLS coefficients
**
** Return value
**      integer: 1: success, 2: rescaling advised,
**          -1: X'X is singular, -2: combines 2 and -1.
**
** Description
**      Performs OLS, expecting the data in columns.
**
** Last changed
**      21-04-96 (Marius Ooms): made documentation
*/
